org.eclipse.rdf4j.queryrender.builder

## Class ValueExprFactory

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.ValueExprFactory

- Deprecated.
  use `SparqlBuilder` instead.

      @Deprecated
      public class ValueExprFactory
      extends Object

  Collection of utility methods for building the various ValueExpr objects in the RDF4J query API.

  Author:
    Michael Grove

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueExprFactory()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static And` | `and(ValueExpr theLeft, ValueExpr theRight)` Deprecated.
    `static Bound` | `bound(String theVar)` Deprecated.
    `static Compare` | `eq(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `eq(String theVar, Value theValue)` Deprecated.
    `static Compare` | `ge(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `ge(String theVar, Value theValue)` Deprecated.
    `static Compare` | `gt(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `gt(String theVar, Value theValue)` Deprecated.
    `static LangMatches` | `langMatches(String theVar, String theLang)` Deprecated.
    `static Compare` | `le(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `le(String theVar, Value theValue)` Deprecated.
    `static Compare` | `lt(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `lt(String theVar, Value theValue)` Deprecated.
    `static Compare` | `ne(String theVar, String theOtherVar)` Deprecated.
    `static Compare` | `ne(String theVar, Value theValue)` Deprecated.
    `static Not` | `not(ValueExpr theExpr)` Deprecated.
    `static Or` | `or(ValueExpr theLeft, ValueExpr theRight)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueExprFactory

          public ValueExprFactory()

      Deprecated.

  - ### Method Detail

    - #### langMatches

          public static LangMatches langMatches(String theVar,
                                                String theLang)

      Deprecated.

    - #### bound

          public static Bound bound(String theVar)

      Deprecated.

    - #### not

          public static Not not(ValueExpr theExpr)

      Deprecated.

    - #### or

          public static Or or(ValueExpr theLeft,
                              ValueExpr theRight)

      Deprecated.

    - #### and

          public static And and(ValueExpr theLeft,
                                ValueExpr theRight)

      Deprecated.

    - #### lt

          public static Compare lt(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### lt

          public static Compare lt(String theVar,
                                   Value theValue)

      Deprecated.

    - #### gt

          public static Compare gt(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### gt

          public static Compare gt(String theVar,
                                   Value theValue)

      Deprecated.

    - #### eq

          public static Compare eq(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### eq

          public static Compare eq(String theVar,
                                   Value theValue)

      Deprecated.

    - #### ne

          public static Compare ne(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### ne

          public static Compare ne(String theVar,
                                   Value theValue)

      Deprecated.

    - #### le

          public static Compare le(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### le

          public static Compare le(String theVar,
                                   Value theValue)

      Deprecated.

    - #### ge

          public static Compare ge(String theVar,
                                   String theOtherVar)

      Deprecated.

    - #### ge

          public static Compare ge(String theVar,
                                   Value theValue)

      Deprecated.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.